import {
	AcademicCapIcon,
	BookOpenIcon,
	Cog6ToothIcon,
	VideoCameraIcon,
} from "@heroicons/react/24/outline";
import { NavItem } from "@nice/client";
import { CoursePart } from "./enum";
export const DEFAULT_NAV_ITEMS = (
	courseId?: string
): (NavItem & { isCompleted?: boolean })[] => {
	const basePath = courseId ? `/course/${courseId}` : "/course";

	return [
		{
			label: "课程概述",
			icon: <BookOpenIcon className="w-5 h-5" />,
			path: `${basePath}/manage/${CoursePart.OVERVIEW}`,
		},
		{
			label: "目标学员",
			icon: <AcademicCapIcon className="w-5 h-5" />,
			path: `${basePath}/manage/${CoursePart.TARGET}`,
		},
		{
			label: "课程内容",
			icon: <VideoCameraIcon className="w-5 h-5" />,
			path: `${basePath}/manage/${CoursePart.CONTENT}`,
		},
		{
			label: "课程设置",
			icon: <Cog6ToothIcon className="w-5 h-5" />,
			path: `${basePath}/manage/${CoursePart.SETTING}`,
		},
	];
};
// export const DEFAULT_NAV_ITEMS: (NavItem & { isCompleted?: boolean })[] = [
// 	{
// 		label: "课程概述",
// 		icon: <BookOpenIcon className="w-5 h-5" />,
// 		path: `/course/${}/manage/${CoursePart.OVERVIEW}`,
// 	},
// 	{
// 		label: "目标学员",
// 		icon: <AcademicCapIcon className="w-5 h-5" />,
// 		path: `/manage/${CoursePart.TARGET}`,
// 	},
// 	{
// 		label: "课程内容",
// 		icon: <VideoCameraIcon className="w-5 h-5" />,
// 		path: `/manage/${CoursePart.CONTENT}`,
// 	},
// 	{
// 		label: "课程设置",
// 		icon: <Cog6ToothIcon className="w-5 h-5" />,
// 		path: `/manage/${CoursePart.SETTING}`,
// 	},
// ];
